#include <iostream>
#include <bits/stdc++.h>

using namespace std;

bool xNajmanje (int x, int* a)
{
    if(x<a[0]) return true;
    else return false;
}

bool xNajvece (int x, int* a, int n)
{
    if(x>a[n-1]) return true;
    return false;
}


int main()
{
    int n,x;
    cin >> n >> x;
    int* a = new int[n-1];
    for(int i=0; i<n;i++) {
        cin >> a[i];
    }
    sort(a,a+n);

    long long resenje=0;
    if(xNajmanje(x,a))
    {
        resenje = a[n-1] - x;
        cout << resenje << endl;
    } else if(xNajvece(x,a,n))
    {
        resenje = x - a[0];
        cout << resenje << endl;
    } else
    {
        if(x-a[0]<=a[n-1]-x) {
            resenje = x - a[0]+a[n-1]-a[0];
            cout << resenje << endl;
        } else {
            resenje = a[n-1]-x + a[n-1] - a[0];
            cout << resenje << endl;
        }
    }
    return 0;
}